### Function

# GimpUi QueryDoubleCallback

#### Declaration

    void
    (* GimpQueryDoubleCallback) (
      GtkWidget* query_box,
      gdouble value,
      gpointer data
    )

#### Description [src]

The callback for a double query box.

#### Parameters

`query_box` | `GtkWidget`
| The query box.
| The data is owned by the caller of the function.
`value` | `gdouble`
| The entered double value.
`data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.